> For the complete documentation index, see [llms.txt](https://milonics.gitbook.io/api-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://milonics.gitbook.io/api-documentation/guide/customer-journey-guidebook/policy-subscription-flow.md).

# Micro-health Insurance Flow

#### Policy Subscription Flow

**Select Preferred Plan** The customer selects either to purchase any of our micro insurance products for e.g., Malaria Care Plus plan.

**Browse Description** The customer gets to view the description (policy overview) of the health insurance plan selected.

**Select Payment Frequency** The customer selects their preferred payment frequency, to be billed either monthly, quarterly or annual plan.

**Add Beneficiaries (Optional)** The customer selects the number of people (beneficiaries) to be added under his/her coverage. **Note:** The customer can only add up to 3 beneficiaries to his/her coverage, while getting a discount for every beneficiary added.

**Display Price** The total price to be paid for the health insurance plan is calculated based on the plan selected, the payment frequency and the number of beneficiaries added under the coverage

**Submit Personal Information** The customer is prompted to submit his/her first name, surname, email, phone number, date of birth, while also providing the full name of the beneficiaries to be added to the coverage (where applicable).

**Make Payment** The customer proceeds to make payment using the payment functionality of the partner application. **Note:** Recurrent payment applies for the monthly and quarterly payment plan.

**Notification** A success notification is displayed to the customer on the platform, while an email/SMS notification is sent to the customers phone number and email.

### Policy Endorsement Flow

After a customer has successfully purchased any of our micro insurance plans on the partner app, a unique policy number and policy details (showing policy start date, end date, and other necessary information like claims info) is forwarded via email & SMS to the customer in real time.

**Note:** Any customer who purchases any of the health plan for other people (beneficiaries) will share the same policy number with his/her beneficiaries.

### Policy Renewal Flow

{% hint style="info" %}
For platforms that do not support automated recurrent payment function anytime an existing customer wants to renew an insurance plan, he/she will provide and validate his/her policy number, while the policy details (i.e. customer's name, beneficiary name (where applicable), plan subscribed to, payment frequency and amount payable) is auto- generated as a confirmation that the policy number exist. The customer then proceeds to make payment through the payment function of the partner app.
{% endhint %}

{% hint style="info" %}
For platforms that support automated recurrent payment function. Policy renewal for customers is debited directly from the customer's bank card registered on the partner platform.

{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://milonics.gitbook.io/api-documentation/guide/customer-journey-guidebook/policy-subscription-flow.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
